%define         srcname        fvwm
%define         cfgname        %{name}-config-mageia
%define         fvwmconfdir    %{_sysconfdir}/X11/fvwm2

Name:           fvwm2
Version:        2.6.5
Release:        %mkrel 8
Summary:        The F virtual window manager for the X Window system
License:        GPLv2+
Group:          Graphical desktop/Other

URL:            http://www.fvwm.org/
Source0:        ftp://ftp.fvwm.org/pub/fvwm/version-2/%{srcname}-%{version}.tar.bz2
#vintage logo
Source1:        fvwm2.png
#minimal system-wide config to be installed as system.fvwm2rc
Source2:        system-minimal.fvwm2rc
#minimal configuration file, called from the system-minimal.fvwm2rc
Source3:        fvwm2rc-minimal.mga
# removed from spec and put into a separate file
Source4:        09fvwm2
# an example file to tune user side configuration
Source5:        user.fvwm2rc

# to get an icon on the xterm button
Source6:        fvwm2_terminal.png
#enhanced config files for mageia default settings
Source7:        system-mageia.fvwm2rc
Source8:        fvwm2rc-extra.mga

Patch0:         fvwm-2.5.26-translucent-menus.diff
Patch1:         fvwm-2.5.26-fix-str-fmt.patch

BuildRequires:  flex
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxft-devel
BuildRequires:  libxpm-devel
BuildRequires:  libpng-devel
BuildRequires:  libreadline-devel
BuildRequires:  pkgconfig(tinfo)
BuildRequires:  libfribidi-devel
BuildRequires:  libstroke-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxinerama-devel

# for fvwm-menu-headlines
Requires:       desktop-common-data
# for fvwm-menu-xlock
Requires:       xlockmore
# for doing something
Requires:       xterm
# for iconification and wallpaper
Requires:       xwd
Requires:       imagemagick
Requires:       feh
# for mimeinfo
Requires:       perl-File-MimeInfo
# for compositing (enhancement only)
Suggests:       xcompmgr
Suggests:       transset-df

Requires(post):      update-alternatives
Requires(postun):    update-alternatives
Requires(posttrans): update-alternatives

%description
FVWM2 is an extremely powerful ICCCM-compliant multiple virtual
desktop window manager for the X Window system. The F stands for
whatever you want (Feeble, Fabulous, Famous, Fast, Foobar, Fantastic,
Flexible, F......), but the VWM stands for Virtual Window Manager). It
is designed to minimize memory consumption while being highly
customizable. Development is active and support is excellent. Check it
out!




%package -n %{cfgname}
Summary:        Mageia system-wide configuration for Fvwm2
Group:          Graphical desktop/Other
Requires:       fvwm2
#for button bar
Requires:       wmcalclock
Requires:       wmcpufreq
Requires:       wmforkplop
Requires:       wmhdplop
Requires:       wmbutton
# for the menu
Requires:       rxvt-unicode
# for fvwm-bug
Suggests:       sendmail-command

Requires(post):      update-alternatives
Requires(postun):    update-alternatives

%description -n %{cfgname}
%{summary}.




%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .translucent
%patch1 -p0 -b .str



%build
%configure2_5x \
    --disable-gtk \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{fvwmconfdir} \
    --with-imagepath=%{_datadir}/icons
%make LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale



%install
%{makeinstall_std} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/fvwm2.png
install -D -m644 %{SOURCE2} %{buildroot}%{fvwmconfdir}/system-minimal.fvwm2rc
install -D -m644 %{SOURCE3} %{buildroot}%{fvwmconfdir}/fvwm2rc-minimal.mga
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d/09fvwm2
install -D -m644 %{SOURCE5} %{buildroot}%{_datadir}/fvwm/user.fvwm2rc

install -D -m644 %{SOURCE6} %{buildroot}%{_iconsdir}/fvwm2_terminal.png
install -D -m644 %{SOURCE7} %{buildroot}%{fvwmconfdir}/system-mageia.fvwm2rc
install -D -m644 %{SOURCE8} %{buildroot}%{fvwmconfdir}/fvwm2rc-extra.mga


%__rm -f %{buildroot}%{_bindir}/fvwm2
%__mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2

%find_lang %{name} --all-name


%files -f %{name}.lang
%doc README AUTHORS INSTALL.fvwm NEWS ChangeLog docs
%config(noreplace) %{fvwmconfdir}/fvwm2rc-minimal.mga
%config(noreplace) %{fvwmconfdir}/system-minimal.fvwm2rc
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/09fvwm2
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/fvwm2.png


%post
#if the file has been edited, or so, it is a regular file
#and not a symlink. So we first rename it before calling
#update-alternatives to create the symlink.
if [ -f %{fvwmconfdir}/system.fvwm2rc -a ! -h %{fvwmconfdir}/system.fvwm2rc ]; then
    %__mv %{fvwmconfdir}/system.fvwm2rc %{fvwmconfdir}/system.fvwm2rc.rpmold
fi
update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-minimal.fvwm2rc 10

%postun
#uninstall only
if [ $1 -eq 0 ]; then
   update-alternatives --remove fvwm2-config %{fvwmconfdir}/system-minimal.fvwm2rc
fi

%posttrans
#old releases had system.fvwm2rc as file packaged in, so our symlink
#will be removed if one upgrade from those.
if ! [ -h %{fvwmconfdir}/system.fvwm2rc ]; then
   update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-minimal.fvwm2rc 10
fi




%files -n %{cfgname}
%config(noreplace) %{fvwmconfdir}/fvwm2rc-extra.mga
%config(noreplace) %{fvwmconfdir}/system-mageia.fvwm2rc
%{_iconsdir}/fvwm2_terminal.png


%post -n %{cfgname}
if [ -f %{fvwmconfdir}/system.fvwm2rc -a ! -h %{fvwmconfdir}/system.fvwm2rc ]; then
    %__mv %{fvwmconfdir}/system.fvwm2rc %{fvwmconfdir}/system.fvwm2rc.rpmold
fi
update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-mageia.fvwm2rc 11

%postun -n %{cfgname}
if [ $1 -eq 0 ]; then
   update-alternatives --remove fvwm2-config %{fvwmconfdir}/system-mageia.fvwm2rc
fi


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.6.5-8.mga4
+ Revision: 540010
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 2.6.5-7.mga4
+ Revision: 493209
- Rebuild against ncurse's libtinfo rather than libtermcap

* Mon Jun 03 2013 fwang <fwang> 2.6.5-6.mga4
+ Revision: 435902
- rebuild for new libpng

* Sat Jun 01 2013 eatdirt <eatdirt> 2.6.5-5.mga4
+ Revision: 434278
- Enhancements for better integration with other packages (as razorqt)
- split into fvwm2 (minimal config) and fvwm2-config-mageia (add menus + buttons)

* Fri Jan 11 2013 umeabot <umeabot> 2.6.5-4.mga3
+ Revision: 351004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 eatdirt <eatdirt> 2.6.5-3.mga3
+ Revision: 344094
- Fix wallpaper size, missing button icon

* Fri Oct 26 2012 malo <malo> 2.6.5-2.mga3
+ Revision: 310314
- update RPM group

* Wed Aug 22 2012 eatdirt <eatdirt> 2.6.5-1.mga3
+ Revision: 283139
- Upgrade to 2.6.5, default configuration enhanced

* Sun Feb 05 2012 eatdirt <eatdirt> 2.6.4-1.mga2
+ Revision: 204824
- Upgrade to 2.6.4
  System-wide config file cleaned
  Added an user config file example

* Fri Oct 07 2011 eatdirt <eatdirt> 2.6.3-1.mga2
+ Revision: 152793
- upgrade to 2.6.3

* Wed Sep 14 2011 eatdirt <eatdirt> 2.6.2-1.mga2
+ Revision: 143594
- upgrade to 2.6.2

* Sun May 15 2011 pterjan <pterjan> 2.6.1-2.mga1
+ Revision: 98982
- Rebuild for fixed find-requires

* Tue Apr 19 2011 eatdirt <eatdirt> 2.6.1-1.mga1
+ Revision: 88135
- new version 2.6.1

* Wed Apr 13 2011 obgr_seneca <obgr_seneca> 2.5.31-1.mga1
+ Revision: 84416
- imported package fvwm2


* Fri Apr 12 2011 Chris Ringeval <dirteat@gmail.com> 2.5.31-1mga1
- Upgraded to 2.5.31
- Configuration file modified (configuration replaced by fvwm2rc.example)
- Added dependencies to xwd
- Suggests xcompmgr, transset for simple compositing
- Removed dependency to rplay
- Python xdg menu generation replaced by PipeRead (fvwm2rc.example)
- Old patches removed

* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.5.26-2mdv2010.0
+ Revision: 437611
- rebuild

* Sat Apr 04 2009 Funda Wang <fundawang@mandriva.org> 2.5.26-1mdv2009.1
+ Revision: 363986
- fix str fmt
- rediff translucent menu patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Aug 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.26-1mdv2009.0
+ Revision: 264127
- clean up a couple of variables
- buildrequires librsvg-devel and libxinerama-devel to enable these functions
  (thanks Fedora)
- drop the GTK+ 1.2 buildrequire (and hence the old and useless GTK+ 1.2 module)
- add several requires (thanks Fedora)
- new license policy
- sync patches with Fedora: add xdg-open.patch, mimeopen.patch and menu-generate.patch
- update to latest translucent-menus.diff from Gentoo
- add fvwm-xdg-menu.py as a source (from Fedora, needed for a Fedora patch)
- reorder sources
- fix indentations
- get rid of some bogus requires and provides (thanks Fedora)
- remove some unnecessary %%defines
- new release 2.5.26

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.21-4mdv2009.0
+ Revision: 245567
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 2.5.21-2mdv2008.1
+ Revision: 187612
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.21-1mdv2008.0
+ Revision: 29904
- new version


* Thu Jan 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-4mdv2007.0
+ Revision: 110130
- revert to previous setup, with distinct configuration and menu files included from main configuration file

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-3mdv2007.1
+ Revision: 94775
- bump release
- buildrequires libxft-devel

* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-2mdv2007.1
+ Revision: 92250
- return of the translucent menu patch

* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.18-1mdv2007.1
+ Revision: 88337
- new version
  drop transclucy patch (merged upstream)

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.10-9mdv2007.1
+ Revision: 84723
- new release
- fix buildrequires name
- bump release
- fix buildrequires
- bump release
- removed unused macros
- unused anymore
- move icons into a distinct source package, as they are distributed separatly
- fix menus
- no more need for the cursor hack
- add icon in wmsession script
- switch to new menu conversion system
- no need for menu entries
- patch is now uncompressed
- use a single configuration file, as twm
- uncompressed all additional sources
- icons are now generated with convert
- revert previous change, seems this menu template is needed after all
- don't ship default menu, let's use standard menu system
- unused anymore
- convert old menu to new xdg menu
  fix old menu to use png icons
  use fvwm2 icons set
- drop old obsoletes
- %%{1}mdv2007.1
- spec cleanup
- fix prefix
- fix buildrequires
- Import fvwm2

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.10-5mdk
- rebuild for new readline

* Sun Jul 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-4mdk
- From Philippe Reynes <trem@zarb.org> 
    - fix the compilation problem

* Sun Jun 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-3mdk
- Fix missing binary (Thanks Gregoire Favre <Gregoire.Favre@freesurf.ch>)

* Fri Jun 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-2mdk
- apply transparency patch0 (ask by Yves Brissaud)

* Fri Jun 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.10-1mdk
- 2.5.10

* Fri Apr 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.18-1mdk
- 2.4.18
